package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: dsYun
 * @time: 2024/03/02
 */
@Getter
@Setter
public class QcRuleWarnDTO {
    //病案号
    private String fileCode;
    //姓名
    private String name;
    //病区
    private String wardName;
    //科室
    private String deptName;
    //主治医生
    private String doctorName;
    //发送时间
    private Date sendDate;
    // 入院时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;
    //出院时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;
    //得分
    private BigDecimal scoreRes;
    //等级
    private String level;
    //缺陷总数
    private Long num;
    //缺陷总扣分
    private BigDecimal numScore;
    // 缺陷条目
    private List<RuleMsgDTO> msgDTOList = new ArrayList<>();
}
