package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/18 20:17
 */
@Getter
@Setter
public class SjcfStatisticsDTO {
    /**
     * 科室id（科室编码）
     */
    private String deptId;
    /**
     * 科室名称
     */
    @Excel(name = "科室", width = 30, orderNum = "1")
    private String deptName;
    
    /**
     * 首次病程未在患者入院8小时内完成
     */
    @Excel(name = "首次病程未在患者入院8小时内完成", width = 15, orderNum = "2")
    private Integer scbc8xsNum = 0;
    
    /**
     * 首次病程未在患者入院8小时内完成数
     */
    private Integer scbc8xsMRNum = 0;
    
    /**
     * 首次病程未在患者入院8小时内完成条目id
     */
    private Long scbc8xsEntryId = 2686L;
    /**
     * 首次病程未在患者入院8小时内完成条目名称
     */
    private String scbc8xsEntryName = "首次病程未在患者入院8小时内完成";
    /**
     * 首次病程未在患者入院8小时内完成率
     */
    private Double scbc8xsPercent = 0.00d;
    /**
     * 首次病程未在患者入院8小时内完成率（百分比）
     */
    @Excel(name = "首次病程未在患者入院8小时内完成率", width = 15, orderNum = "3")
    private String scbc8xsPercentStr = "0.00%";
    
    
    /**
     * 主治医师首次查房未在患者入院48小时内完成
     */
    @Excel(name = "主治医师首次查房未在患者入院48小时内完成", width = 15, orderNum = "2")
    private Integer zzsccf48xsNum = 0;
    
    /**
     * 主治医师首次查房未在患者入院48小时内完成数
     */
    private Integer zzsccf48xsMRNum = 0;
    
    /**
     * 主治医师首次查房未在患者入院48小时内完成条目id
     */
    private Long zzsccf48xsEntryId = 2656L;
    /**
     * 主治医师首次查房未在患者入院48小时内完成条目名称
     */
    private String zzsccf48xsEntryName = "主治医师首次查房未在患者入院48小时内完成";
    /**
     * 主治医师首次查房未在患者入院48小时内完成率
     */
    private Double zzsccf48xsPercent = 0.00d;
    /**
     * 主治医师首次查房未在患者入院48小时内完成率（百分比）
     */
    @Excel(name = "主治医师首次查房未在患者入院48小时内完成率", width = 15, orderNum = "3")
    private String zzsccf48xsPercentStr = "0.00%";
    
    /**
     * 副主任医师/主任医师首次查房未在患者入院72h内完成
     */
    @Excel(name = "副主任医师/主任医师首次查房未在患者入院72h内完成", width = 15, orderNum = "2")
    private Integer fzzsccf72xsNum = 0;
    
    /**
     * 副主任医师/主任医师首次查房未在患者入院72h内完成数
     */
    private Integer fzzsccf72xsMRNum = 0;
    
    /**
     * 副主任医师/主任医师首次查房未在患者入院72h内完成条目id
     */
    private Long fzzsccf72xsEntryId = 2657L;
    /**
     * 副主任医师/主任医师首次查房未在患者入院72h内完成条目名称
     */
    private String fzzsccf72xsEntryName = "副主任医师/主任医师首次查房未在患者入院72h内完成";
    /**
     * 副主任医师/主任医师首次查房未在患者入院72h内完成率
     */
    private Double fzzsccf72xsPercent = 0.00d;
    /**
     * 副主任医师/主任医师首次查房未在患者入院72h内完成率（百分比）
     */
    @Excel(name = "副主任医师/主任医师首次查房未在患者入院72h内完成率", width = 15, orderNum = "3")
    private String fzzsccf72xsPercentStr = "0.00%";
    
    
    /**
     * 每周无2次副主任医师/主任医师查房记录
     */
    @Excel(name = "每周无2次副主任医师/主任医师查房记录", width = 15, orderNum = "2")
    private Integer mzf2cNum = 0;
    
    /**
     * 每周无2次副主任医师/主任医师查房记录数
     */
    private Integer mzf2cMRNum = 0;
    
    /**
     * 每周无2次副主任医师/主任医师查房记录条目id
     */
    private Long mzf2cEntryId = 2655L;
    /**
     * 每周无2次副主任医师/主任医师查房记录条目名称
     */
    private String mzf2cEntryName = "每周无2次副主任医师/主任医师查房记录";
    /**
     * 每周无2次副主任医师/主任医师查房记录率
     */
    private Double mzf2cPercent = 0.00d;
    /**
     * 每周无2次副主任医师/主任医师查房记录率（百分比）
     */
    @Excel(name = "每周无2次副主任医师/主任医师查房记录率", width = 15, orderNum = "3")
    private String mzf2cPercentStr = "0.00%";
    
    /**
     * 每周无3次主治医师查房记录
     */
    @Excel(name = "每周无3次主治医师查房记录", width = 15, orderNum = "2")
    private Integer mzw3cNum = 0;
    
    /**
     * 每周无3次主治医师查房记录数
     */
    private Integer mzw3cMRNum = 0;
    
    /**
     * 每周无3次主治医师查房记录条目id
     */
    private Long mzw3cEntryId = 2686L;
    /**
     * 每周无3次主治医师查房记录条目名称
     */
    private String mzw3cEntryName = "每周无3次主治医师查房记录";
    /**
     * 每周无3次主治医师查房记录率
     */
    private Double mzw3cPercent = 0.00d;
    /**
     * 每周无3次主治医师查房记录率（百分比）
     */
    @Excel(name = "每周无3次主治医师查房记录率", width = 15, orderNum = "3")
    private String mzw3cPercentStr = "0.00%";
}
