package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
public class FilterTimelinessVO extends Page {

    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;

    /**
     * 医生id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;

    /**
     * 关键条目id
     */
//    private List<String> casesEntryIds;
    private String casesEntryId;

    /**
     * 科室名称
     */
    @ApiModelProperty(hidden = true)
    private String deptName;

    @NotNull(message = "请输入起始时间")
    private Date startDate;

    @NotNull(message = "请输入截止时间")
    private Date endDate;

}
